---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ping-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      name: ping-operator
  template:
    metadata:
      labels:
        name: ping-operator
    spec:
      serviceAccountName: ping-operator
      containers:
        - name: ping-operator
          # Replace this with the built image name
          image: "docker.io/charlie335/operator-ns:v0.0.1"
          imagePullPolicy: "Always"
          volumeMounts:
          - mountPath: /tmp/ansible-operator/runner
            name: runner
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: "ping-operator"
            - name: ANSIBLE_GATHERING
              value: explicit
      volumes:
        - name: runner
          emptyDir: {}
